<?php

/**
 * Copyright © 2015 Magento. All rights reserved.
 * See COPYING.txt for license details.
 */

// @codingStandardsIgnoreFile

?>
<?php
/**
 * Language switcher template
 */
?>
<?php if (count($block->getStores()) > 1) : ?>
    <?php $flags = $block->getFlags(); ?>
    <?php $id = $block->getIdModifier() ? '-' . $block->getIdModifier() : '' ?>
    <?php
    $flag = isset($flags[$block->getCurrentStoreId()]) ? $flags[$block->getCurrentStoreId()] :  $block->getViewFileUrl(('images/flags/' . $block->getStoreCode() . '.jpg'));
    $flag = 'style="background-image:url(' . $flag . ');background-repeat:no-repeat;"';
    ?>
    <div class="language ">
        <span class="text"><?php echo __('Language: ') ?></span>
        <div class="top-form-language">
            <div class="switcher language switcher-language" data-ui-id="language-switcher" id="switcher-language<?php /* @escapeNotVerified */ echo $id ?>">
                <strong class="label switcher-label"><span><?php /* @escapeNotVerified */ echo __('Language') ?></span></strong>
                <div class="actions dropdown options switcher-options">
                    <div class="action toggle switcher-trigger" id="switcher-language-trigger<?php /* @escapeNotVerified */ echo $id ?>">
                        <strong class="view-<?php echo $block->escapeHtml($block->getCurrentStoreCode()) ?>">
                            <span <?php echo $flag ?>><?php echo $block->escapeHtml($block->getStoreName()) ?></span>
                        </strong>
                    </div>
                    <ul class="dropdown switcher-dropdown" data-mage-init='{"dropdownDialog":{
                "appendTo":"#switcher-language<?php /* @escapeNotVerified */ echo $id ?> > .options",
                "triggerTarget":"#switcher-language-trigger<?php /* @escapeNotVerified */ echo $id ?>",
                "closeOnMouseLeave": false,
                "triggerClass":"active",
                "parentClass":"active",
                "buttons":null}}'>
                        <?php foreach ($block->getStores() as $_lang) : ?>
                            <?php if ($_lang->getId() != $block->getCurrentStoreId()) : ?>
                                <?php
                                $flag = isset($flags[$_lang->getStoreId()]) ? $flags[$_lang->getId()] :  $block->getViewFileUrl(('images/flags/' . $_lang->getCode() . '.jpg'));
                                $flag = 'style="background-image:url(' . $flag . ');background-repeat:"no-repeat;"';
                                ?>
                                <li class="view-<?php echo $block->escapeHtml($_lang->getCode()); ?> switcher-option">
                                    <a href="#" data-post='<?php /* @escapeNotVerified */ echo $block->getTargetStorePostData($_lang); ?>' <?php echo $flag ?>>
                                        <?php echo $block->escapeHtml($_lang->getName()) ?></a>
                                </li>
                            <?php endif; ?>
                        <?php endforeach; ?>
                    </ul>
                </div>
            </div>
        </div>
    </div>
<?php endif; ?>